miércoles, julio 22, 2015

Como recuperar la conexión 4G en el Nexus 4 versión 5.1.1 [LTE]

Si tienes un Nexus 4,  seguramente estás al tanto de que éste dispositivo soporta conectividad LTE, aunque por problemas legislativos Google tuvo que deshabilitar esta característica mediante software desde su salida al mercado. Es importante aclarar que el LTE en el Nexus 4, funciona solo en la banda 4 (AWS), que opera en los 1700/2100 MHz.
Desde XDA nos han propuesto hacer muchos cambios, es necesario primero habilitar la conexión LTE como preferida (esto se puede hacer manualmente accediendo al modo Ingeniero tecleando en el dial: *#*#4636#*#*)  y después flashear el módem híbrido que se crearon en XDA para poder habilitar esta conexión.


Pero ahora resulta que todos los que tenían instalado el módem híbrido al actualizar a Lollipop 5.1.1 se habrán dado cuenta, que desaparece su conexión LTE a pesar de que sigue el módem instalado.

Recientemente en XDA han creado una actualización de aquellos paquetes que nos modificaban la conectividad y ahora en vez de usar 2, solo instalamos uno que habilitará la preferencia de la red LTE editando el archivo build.prop primero y como segunda opción, nos instala una actualización del módem híbrido con la versión 0.33 que es la que necesitamos para poder tener esta conectividad. Aclaro que una versión posterior a ésta, deshabilita la característica LTE en el Nexus 4.

No obstante, vamos a recordar los requisitos necesarios para poder disfrutar de LTE en en un dispositivo cualquiera.
Recuerdo que debemos estar en zona de cobertura o nos irá a 3G - H+ irremediablemente. Es necesario que nuestro Operador  de Red nos ofrezca la conectividad LTE en nuestra tarifa contratada, ya que muchos operadores condicionan la conectividad mediante el precio de la tarifa. Necesitamos actualizar la tarjeta SIM o microSIM del teléfono ya que muchas tarjetas no soporta este modo de red. Necesitan una SIM de tipo USIM. Es imprescindible que el operador garantice que la SIM que usamos, soporta LTE.

REQUISITOS ADICIONALES  EN EL NEXUS 4.
  • Es imprescindible que el dispositivo este rooteado ya que necesitamos acceso administrador al mismo.
  • Es necesario que la ROM instalada en el móvil sea compatible, hay muchas en el mercado y no todas son compatibles con este firmware.
  • Debemos tener un Recovery personalizado instalado en el Nexus 4. Preferiblemente TWRP o PhilZ Touch Advanced. A los que usan CM12.1 el Recovery de CyanogenMod, NO es compatible con este paquete. Deberán instalarse otro Recovery y desactivar la característica que habilita el cambio de Recuperación cuando se actualiza la ROM. Eso está disponible en las Opciones de Desarrollo
  • Deben descargarse el paquete nexus4-lte-enabler-2.14.zip  del siguiente enlace a la SDCard del dispositivo.

INSTRUCCIONES DE INSTALACIÓN. 

Reinicie el dispositivo en modo Recovery o enciende desde apagado [Volumen abajo+encendido] y Recovery y seleccionar con el botón de encendido.
una vez en el bootloader [pantalla Start] con el botón de volumen arriba, pulsar 2 veces hasta acceder al
Una vez en el Recovery, clic en el boton Install y en la SDCard busque el paquete descargado y selecciónelo para instalar. Confirmar la instalación. Cuando termine, debemos reiniciar con el botón Reboot.

Cuando el dispositivo inicie, es posible que demore algunos minutos en reconocer la red LTE, por supuesto si hay cobertura.
En caso de que pasados 10 minutos no haya conexión LTE, verifique que se ha seleccionado correctamente la opción predeterminada haciendo lo siguiente:

En el dial de su teléfono escriba: *#*#4636#*#* para acceder al Modo Ingeniero.  Clic en el menú: Información sobre el teléfono. Compruebe que en el menú "Establecer tipo de red preferida" este seleccionada la opción: LTE/GSM/CDMA auto (PRL) sino es así, selecciónelo del menú desplegable y ya puede cerrar el dial.

Ahora vaya a el menú Ajustes/ Conexiones inalámbricas y redes/ Mas.../ Redes móviles/ Tipo de red preferido y compruebe que esta seleccionado: LTE (recomendado).


Si aun así no tienen cobertura LTE y ud está muy seguro que cumple todos los requisitos, solo queda verificar que tienen instalado el firmware de radio correcto. En Ajustes/ información del teléfono/ versión de la banda base debe tener el módem: M9615A-CEFWMAZM-2.0.1700.33.

Mucha suerte!!!